ARCLS(1)

NAME
arcls - list files or directories

DESCRIPTION

  Usage:

    arcls [OPTION...] url

The arcls command is used for listing files in grid storage elements and file index catalogues.

OPTIONS

-h, --help
    Show help options

-l, --long
    long format (more information)

-L, --locations
    show URLs of file locations

-m, --metadata
    display all available metadata

-r, --recursive
    operate recursively

-D, --depth=level
    operate recursively up to specified level

-n, --nolist
    show only description of requested object, do not list content of directories

-f, --forcelist
    treat requested object as directory and always try to list content

-c, --checkaccess
    check readability of object, does not show any information about object

-P, --listplugins
    list the available plugins (protocols supported)

-t, --timeout=seconds
    timeout in seconds (default 20)

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--anyca
    force using both CA certificates configuration for Grid services (typically IGTF) and those provided by OpenSSL

--allowinsecureconnection
    allow TLS connection which failed verification

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arcls command lists files and directories on grid storage elements and in file index catalogues. Depending on the installed libraries (check with -P ), the following protocols may be used: file (file:// prefix may be omitted), http, https, httpg, ftp, gsiftp, srm, root.

In the case of a directory/fileset, attributes of objects belonging to it will be retrieved, unless --nolist is specified.

If url starts from '@', the remainder should be a path to a local file containing list of URLs, one per line. Then arcls acts as if it was called multiple times, once for each URL. For more information on ARC URL syntax please read "Protocols, Uniform Resource Locators (URL) and Extensions Supported in ARC" [NORDUGRID-TECH-7]

ENVIRONMENT VARIABLES

X509_USER_PROXY
    The location of the user's Grid proxy file. Shouldn't be set unless the proxy is in a non-standard location.

ARC_LOCATION
    The location where ARC is installed can be specified by this variable. If not specified the install location will be determined from the path to the command being executed, and if this fails a WARNING will be given stating the location which will be used.

ARC_PLUGIN_PATH
    The location of ARC plugins can be specified by this variable. Multiple locations can be specified by separating them by : (; in Windows). The default location is $ARC_LOCATION/lib/arc (\ in Windows).

EXAMPLE
arcls -l gsiftp://example.com/grid/file.dat

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccp(1), arcmkdir(1), arcrename(1), arcrm(1)